<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="ReferenceToOtherInformationStrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:label="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_NinoyuHiroyoshiMember" xlink:label="NinoyuHiroyoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_SatoMasahikoMember" xlink:label="SatoMasahikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_FujiokaKeiMember" xlink:label="FujiokaKeiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_MiyamaMinakoMember" xlink:label="MiyamaMinakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_TsuchiyaToshiakiMember" xlink:label="TsuchiyaToshiakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_YamadaYoshinoriMember" xlink:label="YamadaYoshinoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_ChidaMinoruMember" xlink:label="ChidaMinoruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_JapanReportableSegmentsMember" xlink:label="JapanReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_NorthAmericaReportableSegmentsMember" xlink:label="NorthAmericaReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_AsiaReportableSegmentsMember" xlink:label="AsiaReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_ImaedaKatsuyukiMember" xlink:label="ImaedaKatsuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_AbeKazushiMember" xlink:label="AbeKazushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_AkitaToshikiMember" xlink:label="AkitaToshikiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:label="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:label="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_ReferenceToOtherInformationStrategyClimateChange" xlink:label="ReferenceToOtherInformationStrategyClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01898-000_2024-03-31_01_2024-06-13.xsd#jpcrp030000-asr_E01898-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Monthly remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Monthly remuneration, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_MonthlyRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_NinoyuHiroyoshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NinoyuHiroyoshiMember">Ninoyu, Hiroyoshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NinoyuHiroyoshiMember" xlink:to="label_NinoyuHiroyoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_NinoyuHiroyoshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NinoyuHiroyoshiMember_2">Ninoyu, Hiroyoshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NinoyuHiroyoshiMember" xlink:to="label_NinoyuHiroyoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatoMasahikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SatoMasahikoMember">Sato, Masahiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoMasahikoMember" xlink:to="label_SatoMasahikoMember" />
    <link:label xlink:type="resource" xlink:label="label_SatoMasahikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SatoMasahikoMember_2">Sato, Masahiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoMasahikoMember" xlink:to="label_SatoMasahikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ImaedaKatsuyukiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ImaedaKatsuyukiMember">Imaeda, Katsuyuki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImaedaKatsuyukiMember" xlink:to="label_ImaedaKatsuyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_ImaedaKatsuyukiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ImaedaKatsuyukiMember_2">Imaeda, Katsuyuki[member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImaedaKatsuyukiMember" xlink:to="label_ImaedaKatsuyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FujiokaKeiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FujiokaKeiMember">Fujioka, Kei [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FujiokaKeiMember" xlink:to="label_FujiokaKeiMember" />
    <link:label xlink:type="resource" xlink:label="label_FujiokaKeiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FujiokaKeiMember_2">Fujioka, Kei</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FujiokaKeiMember" xlink:to="label_FujiokaKeiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyamaMinakoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyamaMinakoMember">Miyama, Minako</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamaMinakoMember" xlink:to="label_MiyamaMinakoMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyamaMinakoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyamaMinakoMember_2">Miyama, Minako [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamaMinakoMember" xlink:to="label_MiyamaMinakoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AbeKazushiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AbeKazushiMember">Abe, Kazushi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeKazushiMember" xlink:to="label_AbeKazushiMember" />
    <link:label xlink:type="resource" xlink:label="label_AbeKazushiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AbeKazushiMember_2">Abe, Kazushi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeKazushiMember" xlink:to="label_AbeKazushiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TsuchiyaToshiakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TsuchiyaToshiakiMember">Tsuchiya, Toshiaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TsuchiyaToshiakiMember" xlink:to="label_TsuchiyaToshiakiMember" />
    <link:label xlink:type="resource" xlink:label="label_TsuchiyaToshiakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TsuchiyaToshiakiMember_2">Tsuchiya, Toshiaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TsuchiyaToshiakiMember" xlink:to="label_TsuchiyaToshiakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AkitaToshikiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AkitaToshikiMember">Akita, Toshiki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkitaToshikiMember" xlink:to="label_AkitaToshikiMember" />
    <link:label xlink:type="resource" xlink:label="label_AkitaToshikiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AkitaToshikiMember_2">Akita, Toshiki[member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkitaToshikiMember" xlink:to="label_AkitaToshikiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamadaYoshinoriMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamadaYoshinoriMember">Yamada, Yoshinori [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamadaYoshinoriMember" xlink:to="label_YamadaYoshinoriMember" />
    <link:label xlink:type="resource" xlink:label="label_YamadaYoshinoriMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamadaYoshinoriMember_2">Yamada, Yoshinori</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamadaYoshinoriMember" xlink:to="label_YamadaYoshinoriMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ChidaMinoruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChidaMinoruMember">Chida, Minoru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChidaMinoruMember" xlink:to="label_ChidaMinoruMember" />
    <link:label xlink:type="resource" xlink:label="label_ChidaMinoruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChidaMinoruMember_2">Chida, Minoru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChidaMinoruMember" xlink:to="label_ChidaMinoruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyHumanCapital">Reference to other information, Strategy, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:to="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation">Reference to other information, Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" xlink:to="label_ReferenceToOtherInformationDisclosureOfSustainabilityRelatedFinancialInformation" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">Strategy, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyClimateChange_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyClimateChange_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyClimateChange" xlink:to="label_ReferenceToOtherInformationStrategyClimateChange_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyClimateChange" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyClimateChange">Reference to other information, Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyClimateChange" xlink:to="label_ReferenceToOtherInformationStrategyClimateChange" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">Metrics and targets, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2">Notes - Changes in accounting policies (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock">Notes - Changes in accounting policies (N/A), Consolidated financial statements [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2">Notes - Changes in accounting policies (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock">Notes - Changes in accounting policies (N/A), Financial statements [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_JapanReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_JapanReportableSegmentsMember">Japan, Reportable segments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="JapanReportableSegmentsMember" xlink:to="label_JapanReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_JapanReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_JapanReportableSegmentsMember_2">Japan, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="JapanReportableSegmentsMember" xlink:to="label_JapanReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NorthAmericaReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NorthAmericaReportableSegmentsMember">North America, Reportable segments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NorthAmericaReportableSegmentsMember" xlink:to="label_NorthAmericaReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_NorthAmericaReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NorthAmericaReportableSegmentsMember_2">North America, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NorthAmericaReportableSegmentsMember" xlink:to="label_NorthAmericaReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AsiaReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AsiaReportableSegmentsMember">Asia, Reportable segments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AsiaReportableSegmentsMember" xlink:to="label_AsiaReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_AsiaReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AsiaReportableSegmentsMember_2">Asia, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AsiaReportableSegmentsMember" xlink:to="label_AsiaReportableSegmentsMember_2" />
  </link:labelLink>
</link:linkbase>